/*Style Input Buttons*/
input[type='button'],input[type='submit'],input[type='reset']{display:inline-block;*display:inline;*zoom:1;padding:4px 12px;margin-bottom:0;font-size:14px;line-height:20px;text-align:center;vertical-align:middle;cursor:pointer;color:#333;text-shadow:0 1px 1px rgba(255,255,255,0.75);background-color:#f5f5f5;background-image:-moz-linear-gradient(top,#fff,#e6e6e6);background-image:-webkit-gradient(linear,0 0,0 100%,from(#fff),to(#e6e6e6));background-image:-webkit-linear-gradient(top,#fff,#e6e6e6);background-image:-o-linear-gradient(top,#fff,#e6e6e6);background-image:linear-gradient(to bottom,#fff,#e6e6e6);background-repeat:repeat-x;filter:progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff',endColorstr='#ffe6e6e6',GradientType=0);border-color:#e6e6e6 #e6e6e6 #bfbfbf;border-color:rgba(0,0,0,0.1) rgba(0,0,0,0.1) rgba(0,0,0,0.25);*background-color:#e6e6e6;filter:progid:DXImageTransform.Microsoft.gradient(enabled = false);border:1px solid #ccc;*border:0;border-bottom-color:#b3b3b3;-webkit-border-radius:4px;-moz-border-radius:4px;border-radius:4px;*margin-left:.3em;-webkit-box-shadow:inset 0 1px 0 rgba(255,255,255,.2),0 1px 2px rgba(0,0,0,.05);-moz-box-shadow:inset 0 1px 0 rgba(255,255,255,.2),0 1px 2px rgba(0,0,0,.05);box-shadow:inset 0 1px 0 rgba(255,255,255,.2),0 1px 2px rgba(0,0,0,.05)}input[type='button']:hover,input[type='button']:focus,input[type='button']:active,input[type='button'].active,input[type='button'].disabled,input[type='button']:disabled,input[type='button'][disabled],input[type='submit']:hover,input[type='submit']:focus,input[type='submit']:active,input[type='submit'].active,input[type='submit'].disabled,input[type='submit']:disabled,input[type='submit'][disabled]{color:#333;background-color:#e6e6e6;*background-color:#d9d9d9}input[type='button']:active,input[type='button'].active,input[type='submit']:active,input[type='submit'].active{background-color:#ccc \9}input[type='button']:first-child,input[type='submit']:first-child{*margin-left:0}input[type='button']:hover,input[type='button']:focus,input[type='submit']:hover,input[type='submit']:focus{color:#333;text-decoration:none;background-position:0 -15px;-webkit-transition:background-position .1s linear;-moz-transition:background-position .1s linear;-o-transition:background-position .1s linear;transition:background-position .1s linear}input[type='button']:focus,input[type='submit']:focus{outline:thin dotted #333;outline:5px auto -webkit-focus-ring-color;outline-offset:-2px}input[type='button'].active,input[type='button']:active,input[type='submit'].active,input[type='submit']:active{background-image:none;outline:0;-webkit-box-shadow:inset 0 2px 4px rgba(0,0,0,.15),0 1px 2px rgba(0,0,0,.05);-moz-box-shadow:inset 0 2px 4px rgba(0,0,0,.15),0 1px 2px rgba(0,0,0,.05);box-shadow:inset 0 2px 4px rgba(0,0,0,.15),0 1px 2px rgba(0,0,0,.05)}
a.btn {font-weight: normal; font-family: "Helvetica Neue", Helvetica, Arial, sans-serif; font-size: 14px; line-height: 18px; vertical-align: middle; margin-top: 0;}

.container{width:1170px;}

h1, h2{
    font-size: 24px;
    line-height: normal;
    color: #313991;
}
h3{color: #43338F; font-size: 18px;}
td, th{padding: 4px;}
th{ font-size: 14px;}
td{font-size: 12px;}
.popover-content{font-size: 13px; line-height: 16px; font-weight: normal; color: #333333;}
.popover-content a{font-size: 13px; color:#60268C;}
.masthead .container .pull-right.signon{
    margin: 32px 0 0;
    color: #652C90;
    font-size: 14px;
    font-weight: bold;
}
.masthead .container .pull-right.signon span{padding: 0 10px;}
.masthead .container .pull-right.signon a{
    padding: 0 0 0 8px;
    color: #652CA3;
}
.masthead .container .pull-right.signon a.adminlink{
    padding: 0 8px 0 0;
    border-right: 1px solid #652CA3;
}
.masthead .headerlinks.row{
    margin: 0 0 20px;
    background: #8D35C2 url(../images/background-gradient.png) 0 0 no-repeat;
    line-height: normal;
    height: 6px;
}
li.last{width:360px; text-align: right;}
.masthead .navbar-inner{padding-right: 0;}

.table-striped.table-bordered .navbar-inner th{
    border-bottom: 1px solid #D9D9D9;
    padding: 8px 4px;
}
.table-striped.table-bordered td a{margin: 0 5px;}

.add-new{margin-bottom: 20px;}

.control-label{font-weight: bold;}
#selectType. #selectTypeEdit{width:175px; text-align: left;}

#hasCompanyName .controls, .controls #areacode, .controls #show-service_provider_id, .controls #pin, .controls #region_id{margin-top:5px;}

.fileupload .uneditable-input.span3{width: 190px;}


.maintitle {
    background-color: #FAFAFA;
    background-image: linear-gradient(to bottom, #FFFFFF, #F2F2F2);
    background-repeat: repeat-x;
    border: 1px solid #D4D4D4;
    border-radius: 4px 4px 4px 4px;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.067);
    color: #212D89;
    display: block;
    font-size: 22px;
    font-weight: bold;
    padding: 14px 20px;
}

.shaded_bounded_box{
    background-color: #F5F5F5;
    border: 1px solid #E3E3E3;
    border-radius: 5px;
    -moz-border-radius: 4px 4px 4px 4px;
    -webkit-border-radius: 4px 4px 4px 4px;
    /*box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05) inset;*/
    margin-bottom: 20px;
    min-height: 20px;
    padding: 19px;
}

.shaded_bounded_box td{padding:7px 15px;}
.shaded_bounded_box td label{vertical-align: middle;}
.shaded_bounded_box td select{margin-bottom: 0;}

.container.content{margin-bottom: 15px;}

.dropdown-menu{border-color: #8E8E8E;}
.nav li a{font-size: .85em;}

textarea{line-height: normal; height: auto; overflow: visible;}
label{display: inline; font-weight: bold; color:#6D27AD;}
.nav-collapse{float: left; width: 100%;}
#recentcalls_wrapper, 
#recentcalls{width: 100%;}

.navbar {
    margin-bottom: 10px;
}
.masthead .headerlinks.row {margin-bottom: 15px;}
#outbound_campaigns input[type='button']{height:auto !important;}
.container.content{margin-top: 10px;}
.modal.form form{margin: 0;}

#repository .navbar{margin-top: 20px; margin-bottom: 0;}
#repository .navbar-inner{border-bottom-left-radius: 0; border-bottom-right-radius: 0;}
#repository .span3-5{width:518px;}
#repository a.has-icon{color: #212D89; font-size: 18px; font-weight: bold; padding: 2px 0 2px 30px; margin: 8px 10px 0 0; display: inline-block;}
#repository .add-folder{background: url(../images/icon-add-folder.png) 0 center no-repeat;}
#repository .add-file{background: url(../images/icon-add-file.png) 4px center no-repeat;}
#repository .download-zip{background: url(../images/icon-download-zip.png) 0 center no-repeat;}
#repository .space-specs{color:#777777; font-size: 14px; margin-top: 11px;}
#repository .container-box{border:1px solid #D4D4D4; border-radius: 0 0 3px 3px;}
#repository .directory-path{background: #D4D4D4; padding: 5px 10px;}
#repository .directory-path a, #repository .directory-path span{color: #333333; display: inline-block; vertical-align: middle;}
#repository .directory-path .home{width: 16px; height: 16px; background: url(../images/icon-home.png) 0 0 no-repeat; padding: 2px 0;}
#repository .directory-path .directory-sep{font-size: 22px; margin:0 6px 0 8px;}
#repository .directory-path .directory-link{font-size: 13px;}
#repository .directory{padding: 10px;}
#repository .directory .container-box{border-radius: 3px;}
#repository .directory tr:hover{background: #F9F9F9;}
#repository .directory th{background: #E9E9E9; border-bottom: 1px solid #D4D4D4; border-left: 1px solid #D4D4D4;}
#repository .directory th:first-child{border-left: none;}
#repository .directory td{border-left: 1px solid #D4D4D4;}
#repository .directory td:first-child{border-left: none;}
#repository .directory th, #repository .directory td, #repository .directory td a{font-size: 11px; color: #333333; padding: 3px 10px;}
#repository .directory td a{display: inline-block;}
#repository .directory td a.folder{background: url(../images/icon-folder.png) 0 2px no-repeat; padding: 0 0 0 20px;}
#repository .directory td a.file{background: url(../images/icon-text-file.png) 2px 1px no-repeat; padding: 0 0 0 20px;}
#repository .directory td a.audio{background: url(../images/icon-audio-file.png) 3px 2px no-repeat; padding: 0 0 0 20px;}
#repository .directory td a.audio:hover{text-decoration: none;}
#repository .directory td a.edit{background: url(../images/icon-edit.png) 0 0 no-repeat; width:12px; height: 12px; margin: 0 4px; padding: 0; vertical-align: middle;}
#repository .directory td a.play{background: url(../images/icon-play.png) 0 0 no-repeat; width:12px; height: 12px; margin: 0 4px; padding: 0; vertical-align: middle;}
#repository .directory td a.play.sm2_playing{background: url(../images/icon-pause.png) 0 0 no-repeat; width:12px; height: 12px; margin: 0 4px; padding: 0; vertical-align: middle;}
#repository .directory td a.delete{background: url(../images/icon-delete.png) 0 0 no-repeat; width:12px; height: 12px; margin: 0 4px; padding: 0; vertical-align: middle;}
#repository .directory td .no-edit{display: inline-block; width:12px; height: 12px; margin: 0 4px; padding: 0; vertical-align: middle;}
#repository .directory td a.link {background: url(../images/icon-link.png) 0 0 no-repeat; width: 12px; height: 12px; margin: 0 4px; padding: 0; vertical-align: middle;}
#repository .directory td span.file{display:inline-block; background: url(../images/icon-text-file.png) 2px 1px no-repeat; padding: 0 0 0 20px;}
#repository input[type='submit'],#repository button{padding-top:6px; padding-bottom: 6px; margin-right:8px; line-height: 18px;}
#repository a:hover{cursor: pointer;}
#repository #edit-dialog.modal{width: 70%; margin-left: 0; left: 15%;}
#repository #edit-dialog.modal #edit-contents{min-height: 385px; max-height: 700px;}
#repository #edit-dialog textarea{width: 98%; min-height: 385px; max-height: 700px; font-family: "Courier New", Courier, monospace; font-size: 13px;}
#repository #no-files{margin-bottom: 0;}
#repository [class*="span"]{margin-left: 10px;}

.syntaxhighlighter .container::before, .syntaxhighlighter .container::after {display: inline;}

#enabled_certificates .certificate {
  font-size: 14px;
  padding: 0 0 10px 0;
}

/** STYLES FOR ATTENTIONS IN application_configuration_edit.php **/
.hide-attention-label {display: none; padding-top: 0; padding-bottom: 0;}
.show-attention-label {display: block; padding-top: 7px; padding-bottom: 7px;}
#app_engine_asr, #app_engine_tts {padding: 0 15px;}
label.attention {font-family: Arial, Helvetica, sans-serif;font-size: 13px;font-weight: bold;color: #FF0000;cursor: default !important;}
label.attention .body {font-family: Arial, Helvetica, sans-serif;font-size: 13px;font-weight: normal;color: #FF0000;}